=== modified file 'libdrizzle/local_infile.c'
--- libdrizzle/local_infile.c	2008-07-31 16:19:47 +0000
+++ libdrizzle/local_infile.c	2008-07-31 21:19:50 +0000
@@ -21,13 +21,12 @@
 #include <drizzled/global.h>
 #include <mysys/my_sys.h>
 #include "my_time.h"
-#include <mysys_err.h>
+#include <mysys/mysys_err.h>
 #include <mystrings/m_string.h>
 #include <mystrings/m_ctype.h>
 #include "drizzle.h"
-#include "drizzled_error.h"
 #include "errmsg.h"
-#include <violite.h>
+#include <vio/violite.h>
 #include <sys/stat.h>
 #include <signal.h>
 #include <time.h>
@@ -52,7 +51,6 @@
 #ifdef HAVE_SYS_UN_H
 #include <sys/un.h>
 #endif
-#include <my_pthread.h>        /* because of signal()  */
 #ifndef INADDR_NONE
 #define INADDR_NONE  -1
 #endif

=== modified file 'mystrings/ctype-ucs2.c'
--- mystrings/ctype-ucs2.c	2008-07-31 21:07:41 +0000
+++ mystrings/ctype-ucs2.c	2008-07-31 21:19:50 +0000
@@ -35,12 +35,6 @@
 #define LFACTOR1  10000000000ULL
 #define LFACTOR2  100000000000ULL
 
-static unsigned long lfactor[9]=
-{
-  1L, 10L, 100L, 1000L, 10000L, 100000L, 1000000L, 10000000L, 100000000L
-};
-
-
 #define REPLACEMENT_CHAR 0xFFFD;
 
 
@@ -53,6 +47,14 @@
 #define HAVE_CHARSET_mb2_or_mb4
 #endif
 
+#if defined(HAVE_CHARSET_mb2) || defined(HAVE_CHARSET_utf32)
+static unsigned long lfactor[9]=
+{
+  1L, 10L, 100L, 1000L, 10000L, 100000L, 1000000L, 10000000L, 100000000L
+};
+#endif
+
+
 
 #ifdef HAVE_CHARSET_mb2_or_mb4
 static inline int

